using System;

namespace Takmicenje1
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string[] brojevi = Console.ReadLine().Split(' ');

            int a = int.Parse(brojevi[0]);
            int b = int.Parse(brojevi[1]);
            char slovo1 = s[0];
            char slovo2 = s[1];

            string resenje = "";

            if (Math.Abs(b - a) > 1 || slovo1 == slovo2)
            {
                if (a >= 1 && b >= 1 && a <= 3 && b <= 3)
                {
                    Console.WriteLine("nemoguce");
                    return;
                }
            }

            if (b > a)
            {
                for (int i = 0; i < b; i++)
                {
                    resenje += slovo2;
                    resenje += slovo1;
                }
            }
            else
            {
                for (int i = 0; i < a; i++)
                {
                    resenje += slovo2;
                    resenje += slovo1;
                }
            }
            Console.WriteLine(resenje);
        }
    }
}